summaryrefslogtreecommitdiffstats
path: root/source/kde/kdebindings/kdebindings.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/kde/kdebindings/kdebindings.SlackBuild
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/kde/kdebindings/kdebindings.SlackBuild')
-rwxr-xr-xsource/kde/kdebindings/kdebindings.SlackBuild18
1 files changed, 11 insertions, 7 deletions
diff --git a/source/kde/kdebindings/kdebindings.SlackBuild b/source/kde/kdebindings/kdebindings.SlackBuild
index a31407b91..21df45de4 100755
--- a/source/kde/kdebindings/kdebindings.SlackBuild
+++ b/source/kde/kdebindings/kdebindings.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -46,6 +46,11 @@ cd $TMP
echo "Building kdebindings-$VERSION..."
tar xvf $CWD/../src/kdebindings-$VERSION.tar.?z* || exit 1
cd kdebindings-$VERSION
+
+zcat $CWD/kdebindings-len-ptr-rfloat.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/kdebindings-ruby-env.h.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/kdebindings-rubyconfig.h.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -58,6 +63,7 @@ mkdir -p build
cd build
#-DCMAKE_BACKWARDS_COMPATIBILITY:STRING="2.2" \
cmake \
+ $KDE_OPT_ARGS \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_BUILD_TYPE=Release \
@@ -65,17 +71,15 @@ cd build
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc/kde \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DENABLE_PHONON:BOOL=OFF \
- -DENABLE_PHONON_SMOKE:BOOL=OFF \
-DENABLE_QYOTO:BOOL=OFF \
-DENABLE_QSCINTILLA_SHARP:BOOL=OFF \
-DENABLE_KIMONO:BOOL=OFF \
-DBUILD_csharp:BOOL=OFF \
- -DENABLE_KHTML:BOOL=OFF \
- -DENABLE_PHONON_RUBY:BOOL=OFF \
..
- # kdebindings has (in the past, on several occasions) barfed on multijobs, so no $NUMJOBS here:
- make || exit 1
+ # kdebindings has (in the past, on several occasions) barfed on multijobs,
+ # so no $NUMJOBS here. We run make twice because the first time is not
+ # 100% successful either...:
+ make || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -